### Struct

# PangoLanguage

#### Description [src]

    struct PangoLanguage {
      /* No available fields */
    }

The `PangoLanguage` structure is used to represent a language.

`PangoLanguage` pointers can be efficiently copied and compared with each other.

#### Functions

###### pango_language_from_string

Convert a language tag to a `PangoLanguage`.

###### pango_language_get_default

Returns the `PangoLanguage` for the current locale of the process.

since: 1.16

###### pango_language_get_preferred

Returns the list of languages that the user prefers.

since: 1.48

#### Instance methods

###### pango_language_get_sample_string

Get a string that is representative of the characters needed to render a particular language.

###### pango_language_get_scripts

Determines the scripts used to to write `language`.

since: 1.22

###### pango_language_includes_script

Determines if `script` is one of the scripts used to write `language`.

since: 1.4

###### pango_language_matches

Checks if a language tag matches one of the elements in a list of language ranges.

###### pango_language_to_string

Gets the RFC-3066 format string representing the given language tag.